Bug 138145 - USB kbd doesnt work, kacpid affected (high-end SMP server)
Summary: USB kbd doesnt work, kacpid affected (high-end SMP server)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-04 23:03 UTC by Tyler Larson
Modified: 2015-01-04 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:18:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tyler Larson 2004-11-04 23:03:55 UTC
Description of problem:

When I plug a USB keyboard (which contains a USB hub, by the way) into
any of the machine's USB ports, the system fails to recognize the
keyboard. Furthermore, the kacpid process begins to consume a large
percentage of the CPU time.

Typing "cat /proc/bus/usb/devices" locks up the terminal. I have yet
to obtain any relevant log entries.

Version-Release number of selected component (if applicable):
So far, I've only seen this issue with kernel version:

kernel-smp-2.6.8-1.521
previous versions seem unaffected.

How reproducible:
Not always -- only when I *don't* want it to happen ;)

Steps to Reproduce:
1. Plug in a USB keyboard while the computer is running

- or -
1. Plug in USB keyboard
2. Boot the OS
3. Wait until about the time the USB is set up
  

Additional info:
Problem happens on any and all of my 6 IBM "eServer 325" boxes with
either 1 or 2 processors, but always running SMP kernel (running the
non-smp kernel creates other problems).

Comment 1 Dave Jones 2005-04-16 05:18:01 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.